document.addEventListener('DOMContentLoaded', () => {
  const startButton = document.getElementById('startButton');
  const currentTask = document.getElementById('currentTask');
  const character = document.querySelector('.astronaut');
  
  const tasks = [
    'Wire Connection',
    'Card Swipe',
    'Download Data'
  ];
  
  let currentTaskIndex = 0;
  
  startButton.addEventListener('click', () => {
    startButton.classList.add('active');
    currentTask.textContent = tasks[currentTaskIndex];
    character.style.animation = 'none';
    character.offsetHeight;
    character.style.animation = 'float 3s ease-in-out infinite';
    
    currentTaskIndex = (currentTaskIndex + 1) % tasks.length;
  });
  
  // Easter egg: Double click the character to make it spin
  character.addEventListener('dblclick', () => {
    character.style.animation = 'spin 1s linear infinite';
    setTimeout(() => {
      character.style.animation = 'float 3s ease-in-out infinite';
    }, 1000);
  });
});

@keyframes spin {
  from { transform: rotate(0deg); }
  to { transform: rotate(360deg); }
}